package com.neusoft.smart.pos.advertisement.persistent.mapper;

import com.neusoft.smart.pos.advertisement.persistent.domain.MediaStrategy;
import com.neusoft.smart.pos.advertisement.persistent.domain.MediaStrategyExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MediaStrategyMapper {
	
	int countByExample(MediaStrategyExample example);
	
	int deleteByExample(MediaStrategyExample example);
	
	int deleteByPrimaryKey(Integer id);
	
	int insert(MediaStrategy record);
	
	int insertSelective(MediaStrategy record);
	
	List<MediaStrategy> selectByExample(MediaStrategyExample example);
	
	MediaStrategy selectByPrimaryKey(Integer id);
	
	int updateByExampleSelective(@Param("record") MediaStrategy record, @Param("example") MediaStrategyExample example);
	
	int updateByExample(@Param("record") MediaStrategy record, @Param("example") MediaStrategyExample example);
	
	int updateByPrimaryKeySelective(MediaStrategy record);
	
	int updateByPrimaryKey(MediaStrategy record);
	
	void batchInsert(@Param("items") List<MediaStrategy> items);
}